# First we need to unzip the file in some tmpdir

KERNELDIR="$DESTDIR/lib/modules/extra" # Fixme, this should be inserted dynamically by debian/rules script.

function clean_exit
{
  rm -f $HOME/.alsa-source.conf
}

trap "clean_exit" EXIT

mkdir -p tmp
pushd tmp
ar p ../alsa-source* data.tar.gz | tar xz
cp usr/share/alsa-source/alsa-source.conf $HOME/.alsa-source.conf
cd usr/src
tar xjf alsa-driver.tar.bz2
cd modules/alsa-driver/
fakeroot debian/rules binary-modules

mkdir -p $KERNELDIR/alsa
cp -a debian/alsa-modules*/lib/modules/*/alsa/* $KERNELDIR/alsa
for i in /lib/modules/`uname -r`/*; do touch $KERNELDIR/$( basename $i); done

chown -R root.root $KERNELDIR/

#clean up
popd
rm -rf tmp
